CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api POST /v1/customers/cus_abc123/rfis/rfi_abc123/submit \
--body '<request-json>'Submit customer RFI response (cus_abc123, rfi_abc123).
# Use MCP tool submit_rfi with customerId, rfiId, and optional fieldResponses / freeformResponse.import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit"
payload = {
"fieldResponses": {},
"freeformResponse": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fieldResponses: {}, freeformResponse: '<string>'})
};
fetch('https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fieldResponses' => [
],
'freeformResponse' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit"
payload := strings.NewReader("{\n \"fieldResponses\": {},\n \"freeformResponse\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fieldResponses\": {},\n \"freeformResponse\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fieldResponses\": {},\n \"freeformResponse\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customerName": "<string>",
"status": "DRAFT",
"publicStatus": "NEEDS_INFORMATION",
"requestedFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requestedDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
],
"documents": [
{
"requirementKey": "<string>",
"documentId": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"downloadUrl": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z",
"isAdditional": true
}
],
"requestedSignings": [
{
"stepId": "<string>",
"label": "<string>",
"templateId": "REMOTE_COMPANY_ADDRESS_CONFIRMATION",
"required": true,
"status": "ACTIVE",
"fields": {},
"signedName": "<string>",
"signedAt": "<string>",
"documentId": "<string>",
"position": 123,
"subject": "<string>",
"detail": "<string>",
"templateVersion": "<string>"
}
],
"dueAt": "2023-11-07T05:31:56Z",
"openedAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"fieldResponses": {},
"freeformResponse": "<string>"
}Rfis
Submit customer RFI response
Authenticated submit for a Case RFI after field answers and/or document uploads.
POST
/
v1
/
customers
/
{customerId}
/
rfis
/
{id}
/
submit
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api POST /v1/customers/cus_abc123/rfis/rfi_abc123/submit \
--body '<request-json>'Submit customer RFI response (cus_abc123, rfi_abc123).
# Use MCP tool submit_rfi with customerId, rfiId, and optional fieldResponses / freeformResponse.import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit"
payload = {
"fieldResponses": {},
"freeformResponse": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fieldResponses: {}, freeformResponse: '<string>'})
};
fetch('https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fieldResponses' => [
],
'freeformResponse' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit"
payload := strings.NewReader("{\n \"fieldResponses\": {},\n \"freeformResponse\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fieldResponses\": {},\n \"freeformResponse\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{customerId}/rfis/{id}/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fieldResponses\": {},\n \"freeformResponse\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customerName": "<string>",
"status": "DRAFT",
"publicStatus": "NEEDS_INFORMATION",
"requestedFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requestedDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
],
"documents": [
{
"requirementKey": "<string>",
"documentId": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"downloadUrl": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z",
"isAdditional": true
}
],
"requestedSignings": [
{
"stepId": "<string>",
"label": "<string>",
"templateId": "REMOTE_COMPANY_ADDRESS_CONFIRMATION",
"required": true,
"status": "ACTIVE",
"fields": {},
"signedName": "<string>",
"signedAt": "<string>",
"documentId": "<string>",
"position": 123,
"subject": "<string>",
"detail": "<string>",
"templateVersion": "<string>"
}
],
"dueAt": "2023-11-07T05:31:56Z",
"openedAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"fieldResponses": {},
"freeformResponse": "<string>"
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Response
Available options:
DRAFT, OPEN, SUBMITTED, UNDER_REVIEW, RESOLVED, CANCELLED Customer-facing case status for applicant and parent portal surfaces.
Available options:
NEEDS_INFORMATION, IN_REVIEW, APPROVED, REJECTED, CANCELLED, COMPLETED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?